Lyrics plugin should lowercase all-capital artist names before calling LyricsWiki API
April 09, 2014 17:54 - Richard Harris
Description

When searching for songs via the LyricsWiki API, artist names are case-insensitive except when one or more of the words in the
artist name are all-capitals. For example, these queries match the page 'Dir en Grey:Diabolos":

http:/lyrics.wikia.com/api.php?action=lyrics&artist=dir+en+grey&song=diabolos&fmt=xml
http:/lyrics.wikia.com/api.php?action=lyrics&artist=Dir+en+grey&song=diabolos&fmt=xml
http:/lyrics.wikia.com/api.php?action=lyrics&artist=Dir+en+Grey&song=diabolos&fmt=xml

But these fail to return a result:

http://lyrics.wikia.com/api.php?action=lyrics&artist=Dir+en+GREY &song=diabolos&fmt=xml
http://lyrics.wikia.com/api.php?action=lyrics&artist=DIR+EN+GREY &song=diabolos&fmt=xml

The simple fix is, upon failure, to re-attempt the query with a lower-cased artist, which should always work.
Related to #268 as the retry mechanism is identical.

A song such as DIR EN GREY - DIABOLOS will fail a lyrics lookup because of the way MediaWiki works - it is case-insensitive
except for song titles in all capitals.

History

#1 - April 10, 2014 16:22 - John Lindgren

Why would an artist name ever be in all caps? In general, I'm against adding "on the fly" corrections for bad tags in Audacious. The tags should be
corrected by a tag editor instead.

#2 - April 10, 2014 16:25 - Richard Harris

Why? Because that's how the artist chose to style the ID3 tags. | didn't post this for speculation, it actually affected me.

| don't think this is a correction of bad tags, more a workaround for limitations in the LyricsWiki API, which is supposed to be case-insensitive.

#3 - April 10, 2014 18:38 - John Lindgren

Richard Harris wrote:

Why? Because that's how the artist chose to style the ID3 tags. | didn't post this for speculation, it actually affected me.

My response was not speculation either. | suggested a concrete solution of using a tag editor to fix the ID3 tags.

| don't think this is a correction of bad tags, more a workaround for limitations in the LyricsWiki API, which is supposed to be case-insensitive.

If this a defect in the LyricWiki API, then you should report it to the LyricWiki team so they can implement a real fix, instead of asking for a workaround
in Audacious.
http://lyrics.wikia.com/api.php?action=lyrics&artist=dir+en+grey&song=diabolos&fmt=xml
http://lyrics.wikia.com/api.php?action=lyrics&artist=Dir+en+grey&song=diabolos&fmt=xml
http://lyrics.wikia.com/api.php?action=lyrics&artist=Dir+en+Grey&song=diabolos&fmt=xml
http://lyrics.wikia.com/api.php?action=lyrics&artist=Dir+en+GREY&song=diabolos&fmt=xml
http://lyrics.wikia.com/api.php?action=lyrics&artist=DIR+EN+GREY&song=diabolos&fmt=xml
http://www.redmine.audacious-media-player.org/issues/268

#4 - September 06, 2014 15:19 - Richard Harris
Resolved at the LyricWiki side.

#5 - September 21, 2014 06:26 - John Lindgren

- Status changed from New to Rejected

All right, closing.
